Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

ON MY UBUNTU RACKSPACE SERVER

UNAME -A

# uname -a
Linux myserver.com 3.2.0-24-virtual #39-Ubuntu SMP Mon May 21 18:44:18 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

APT-GET -F INSTALL

/home# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  plymouth
The following packages will be upgraded:
  plymouth
1 upgraded, 0 newly installed, 0 to remove and 163 not upgraded.
26 not fully installed or removed.
Need to get 123 kB of archives.
After this operation, 1,024 B of additional disk space will be used.
Do you want to continue [Y/n]? 
Get:1 http://mirror.rackspace.com/ubuntu/ precise-updates/main plymouth amd64 0.8.2-2ubuntu31.1 [123 kB]
Fetched 123 kB in 0s (747 kB/s)
dpkg: dependency problems prevent configuration of plymouth:
 plymouth depends on libplymouth2 (= 0.8.2-2ubuntu31); however:
  Version of libplymouth2 on system is 0.8.2-2ubuntu31.1.
dpkg: error processing plymouth (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          dpkg: dependency problems prevent configuration of mountall:
 mountall depends on plymouth; however:
  Package plymouth is not configured yet.
dpkg: error processing mountall (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          dpkg: dependency problems prevent configuration of upstart:
 upstart depends on mountall; however:
  Package mountall is not configured yet.
dpkg: error processing upstart (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          dpkg: dependency problems prevent configuration of passwd:
 passwd depends on upstart-job; however:
  Package upstart-job is not installed.
  Package upstart which provides upstart-job is not configured yet.
dpkg: error processing passwd (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of resolvconf:
 resolvconf depends on upstart-job; however:
  Package upstart-job is not installed.
  Package upstart which provides upstart-job is not configured yet.
dpkg: error processing resolvconf (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up python2.7 (2.7.3-0ubuntu3.5) ...
Setting up python (2.7.3-0ubuntu2.2) ...
Setting up libgcrypt11 (1.5.0-3ubuntu0.2) ...
Setting up libgnutls26 (2.12.14-5ubuntu3.7) ...
Setting up libc-dev-bin (2.15-0ubuntu10.5) ...
Setting up linux-libc-dev (3.2.0-61.92) ...
Setting up libc6-dev (2.15-0ubuntu10.5) ...
Setting up libpython2.7 (2.7.3-0ubuntu3.5) ...
Setting up libssl-doc (1.0.1-4ubuntu5.12) ...
Setting up libssl-dev (1.0.1-4ubuntu5.12) ...
Setting up python2.7-dev (2.7.3-0ubuntu3.5) ...
Setting up python-dev (2.7.3-0ubuntu2.2) ...
Setting up tzdata-java (2014a-0ubuntu0.12.04) ...
dpkg: dependency problems prevent configuration of ifupdown:
 ifupdown depends on upstart-job; however:
  Package upstart-job is not installed.
  Package upstart which provides upstart-job is not configured yet.
dpkg: error processing ifupdown (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of procps:
 procps depends on upstart-job; however:
  Package upstart-job is not installed.
  Package upstart which provides upstart-job is not configured yet.
dpkg: error processing procps (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of udev:
 udev depends on upstart-job; however:
  Package upstart-job is not installed.
  Package upstart which provides upstart-job is not configured yet.
 udev depends on procps; however:
  Package procps is not configured yet.
 udev depends on upstart (>= 1.4-0ubuntu6); however:
  Package upstart is not configured yet.
dpkg: error processing udev (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of dmsetup:
 dmsetup depends on udev (>> 141-2); however:
  Package udev is not configured yet.
dpkg: error processing dmsetup (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of initramfs-tools:
 initramfs-tools depends on udev (>= 147~-5); however:
  Package udev is not configured yet.
dpkg: error processing initramfs-tools (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of libdevmapper1.02.1:
 libdevmapper1.02.1 depends on dmsetup (>= 2:1.02.48-4ubuntu7.4); however:
  Package dmsetup is not configured yet.
dpkg: error processing libdevmapper1.02.1 (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of apparmor:
 apparmor depends on initramfs-tools; however:
  Package initramfs-tools is not configured yet.
dpkg: error processing apparmor (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of ntfs-3g:
 ntfs-3g depends on initramfs-tools (>= 0.99); however:
  Package initramfs-tools is not configured yet.
dpkg: error processing ntfs-3g (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 plymouth
 mountall
 upstart
 passwd
 resolvconf
 ifupdown
 procps
 udev
 dmsetup
 initramfs-tools
 libdevmapper1.02.1
 apparmor
 ntfs-3g
E: Sub-process /usr/bin/dpkg returned an error code (1)

DPKG --AUDIT

/home# dpkg --audit
The following packages have been unpacked but not yet configured.
They must be configured using dpkg --configure or the configure
menu option in dselect for them to work:
 initramfs-tools      tools for generating an initramfs
 procps               /proc file system utilities
 ntfs-3g              read/write NTFS driver for FUSE
 ifupdown             high level tools to configure network interfaces
 mountall             filesystem mounting tool
 resolvconf           name server information handler
 libdevmapper1.02.1   The Linux Kernel Device Mapper userspace library
 plymouth             graphical boot animation and logger - main package
 upstart              event-based init daemon
 passwd               change and administer password and group data
 dmsetup              The Linux Kernel Device Mapper userspace library
 udev                 rule-based device node and kernel event manager
 apparmor             User-space parser utility for AppArmor

WHAT I HAVE TRIED WITHOUT SUCCESS

  494  apt-get --purge -f remove 
  495  apt-get -f install
  496  dpkg --audit
  497  dpkg --configure -a
  498  apt-get -f dist-upgrade
  499  apt-get clean
  500  apt-get dist-upgrade
  501  apt-get -f install

Any further recommendations?

share|improve this question
1  
I've faced a similar issue on debian wheezy recently. I fixed it by removing the application which caused a dependency issue - during which you got the first advice to do apt-get -f install from apt. For me it was a simple apt-get remove <the application you **tried** to install without success> –  Jay Aurabind Apr 28 at 10:29
    
Didn't work. I was actually only doing a apt-get update and apt-get install when I noticed these ... was not really trying to install anything in particular. Just updating the system –  joelmaranhao Apr 28 at 10:47
    
followed instructions on this thread askubuntu.com/questions/367768/… - backup /var/lib/dpkg/status, remove all package causing issues and ran again apt-get -f install ... worked. Apparently you ought to be cautious while doing that. –  joelmaranhao Apr 28 at 10:57
    
Thanks for the info! –  Jay Aurabind Apr 29 at 10:49
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.